/*
 * $Id: BrowserWindowListener.java,v 1.1 2005/11/14 14:15:51 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools.docb;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * 索引語ブラウザを閉じた際のイベントハンドラ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class BrowserWindowListener extends WindowAdapter {
	/** 索引語ブラウザパネル */
	private final DocumentBrowserPanel panel;

	/**
	 * コンストラクタ．
	 * @param p 索引語ブラウザパネル
	 */
	public BrowserWindowListener(DocumentBrowserPanel p) {
		panel = p;
	}
	/**
	 * ウィンドウをクローズする際に呼び出されるイベントハンドラ
	 * @param e イベントオブジェクト
	 */
	public void windowClosing(WindowEvent e) {
		super.windowClosing(e);

		// リソースを解放する
		panel.close();

		System.exit(0);
	}
}
